Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value< Glib::RefPtr< T > > Class Template Reference
[Generic Values]

Partial specialization for RefPtr<> to Glib::Object. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::RefPtr< T > >:
[legend]

List of all members.

## Public Types
typedef Glib::RefPtr< T > | CppType
typedef T::BaseObjectType* | CType
## Public Member Functions
void | set (const CppType& data)
CppType | get () const
## Static Public Member Functions
static GType | value_type ()

## Detailed Description

### template <class T>
class Glib::Value< Glib::RefPtr< T > >

Partial specialization for RefPtr<> to Glib::Object.

## Member Typedef Documentation

template <class T >

typedef Glib::RefPtr<T> Glib::Value< Glib::RefPtr< T > >::CppType

template <class T >

typedef T::BaseObjectType* Glib::Value< Glib::RefPtr< T > >::CType

## Member Function Documentation

template <class T >

CppType Glib::Value< Glib::RefPtr< T > >::get | ( | ) | const`[inline]`

template <class T >

void Glib::Value< Glib::RefPtr< T > >::set | ( | const CppType& | data ) | `[inline]`

template <class T >

static GType Glib::Value< Glib::RefPtr< T > >::value_type | ( | ) | `[inline, static]`

Reimplemented from Glib::ValueBase_Object.